function f = get_hist_features(image, hist, features_sz)
% Backproject multichannel hist to multichannel image
    
%     hsv = rgb2hsv(image);
%     image = cat(3, image, uint8(hsv(:, :, 1) * 255));  % Add H channel

    f = zeros(features_sz(1), features_sz(2), size(image, 3));
    for i = 1:size(image, 3)
        h = hist(:, i);
        f(:, :, i) = imresize(h(image(:, :, i) + 1), features_sz);
        %f(:, :, i) = mexResize(h(image(:, :, i) + 1), features_sz);
    end
end