% Compiles the mexResize function.

% Try to use the included mex files first. If they do not work, you can try
% to compile it yourself with this script. If the bellow mex command does
% not work, try to link to your own OpenCV installation.

if (~exist('./opencv', 'dir'))
	unzip('opencv.zip', './');
end

if ispc
    mex -lopencv_core2410 -lopencv_imgproc2410 -L./opencv/lib -I./opencv/include mexResize.cpp MxArray.cpp
    copyfile('opencv/lib/opencv_core2410.dll', './');
    copyfile('opencv/lib/opencv_imgproc2410.dll', './');
else
    mex -lopencv_core -lopencv_imgproc -L./opencv/lib -I./opencv/include mexResize.cpp MxArray.cpp
    copyfile('opencv/lib/opencv_core.so', './');
    copyfile('opencv/lib/opencv_imgproc.so', './');
end